Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetExportedKeys

java.lang.Object
org.firebirdsql.jdbc.metadata.GetExportedKeys

public final class GetExportedKeys extends Object
Provides the implementation for `DatabaseMetaData.getExportedKeys(String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DbMetadataMediator`
`mediator`

## Method Summary

Modifier and Type
Method
Description
`static GetExportedKeys`
`create(DbMetadataMediator mediator)`
`ResultSet`
`getExportedKeys(String table)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mediator

protected final DbMetadataMediator mediator

## Method Details

### getExportedKeys

public ResultSet getExportedKeys(String table) throws SQLException

Throws:
  `SQLException`

### create

public static GetExportedKeys create(DbMetadataMediator mediator)